# Form implementation generated from reading ui file 'src/eric7/MicroPython/Devices/CircuitPythonUpdater/RequirementsDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_RequirementsDialog(object):
    def setupUi(self, RequirementsDialog):
        RequirementsDialog.setObjectName("RequirementsDialog")
        RequirementsDialog.resize(600, 550)
        RequirementsDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(RequirementsDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.label = QtWidgets.QLabel(parent=RequirementsDialog)
        self.label.setObjectName("label")
        self.horizontalLayout.addWidget(self.label)
        self.requirementsFilePicker = EricPathPicker(parent=RequirementsDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.requirementsFilePicker.sizePolicy().hasHeightForWidth())
        self.requirementsFilePicker.setSizePolicy(sizePolicy)
        self.requirementsFilePicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.requirementsFilePicker.setObjectName("requirementsFilePicker")
        self.horizontalLayout.addWidget(self.requirementsFilePicker)
        self.verticalLayout.addLayout(self.horizontalLayout)
        self.gridLayout = QtWidgets.QGridLayout()
        self.gridLayout.setObjectName("gridLayout")
        self.line = QtWidgets.QFrame(parent=RequirementsDialog)
        self.line.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line.setObjectName("line")
        self.gridLayout.addWidget(self.line, 3, 1, 1, 1)
        self.copyButton = QtWidgets.QPushButton(parent=RequirementsDialog)
        self.copyButton.setObjectName("copyButton")
        self.gridLayout.addWidget(self.copyButton, 2, 1, 1, 1)
        self.saveButton = QtWidgets.QPushButton(parent=RequirementsDialog)
        self.saveButton.setObjectName("saveButton")
        self.gridLayout.addWidget(self.saveButton, 0, 1, 1, 1)
        self.insertButton = QtWidgets.QPushButton(parent=RequirementsDialog)
        self.insertButton.setObjectName("insertButton")
        self.gridLayout.addWidget(self.insertButton, 5, 1, 1, 1)
        self.replaceSelectionButton = QtWidgets.QPushButton(parent=RequirementsDialog)
        self.replaceSelectionButton.setObjectName("replaceSelectionButton")
        self.gridLayout.addWidget(self.replaceSelectionButton, 6, 1, 1, 1)
        self.requirementsEdit = QtWidgets.QPlainTextEdit(parent=RequirementsDialog)
        self.requirementsEdit.setTabChangesFocus(True)
        self.requirementsEdit.setObjectName("requirementsEdit")
        self.gridLayout.addWidget(self.requirementsEdit, 0, 0, 9, 1)
        self.replaceAllButton = QtWidgets.QPushButton(parent=RequirementsDialog)
        self.replaceAllButton.setObjectName("replaceAllButton")
        self.gridLayout.addWidget(self.replaceAllButton, 7, 1, 1, 1)
        spacerItem = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.gridLayout.addItem(spacerItem, 8, 1, 1, 1)
        self.saveToButton = QtWidgets.QPushButton(parent=RequirementsDialog)
        self.saveToButton.setObjectName("saveToButton")
        self.gridLayout.addWidget(self.saveToButton, 1, 1, 1, 1)
        self.label_2 = QtWidgets.QLabel(parent=RequirementsDialog)
        self.label_2.setAlignment(QtCore.Qt.AlignmentFlag.AlignCenter)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 4, 1, 1, 1)
        self.verticalLayout.addLayout(self.gridLayout)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=RequirementsDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Close)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(RequirementsDialog)
        self.buttonBox.accepted.connect(RequirementsDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(RequirementsDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(RequirementsDialog)
        RequirementsDialog.setTabOrder(self.requirementsFilePicker, self.requirementsEdit)
        RequirementsDialog.setTabOrder(self.requirementsEdit, self.saveButton)
        RequirementsDialog.setTabOrder(self.saveButton, self.saveToButton)
        RequirementsDialog.setTabOrder(self.saveToButton, self.copyButton)
        RequirementsDialog.setTabOrder(self.copyButton, self.insertButton)
        RequirementsDialog.setTabOrder(self.insertButton, self.replaceSelectionButton)
        RequirementsDialog.setTabOrder(self.replaceSelectionButton, self.replaceAllButton)

    def retranslateUi(self, RequirementsDialog):
        _translate = QtCore.QCoreApplication.translate
        RequirementsDialog.setWindowTitle(_translate("RequirementsDialog", "Generate Requirements"))
        RequirementsDialog.setToolTip(_translate("RequirementsDialog", "Replace the current selection with the requirements text"))
        self.label.setText(_translate("RequirementsDialog", "Requirements File:"))
        self.copyButton.setToolTip(_translate("RequirementsDialog", "Copy the requirements text to the clipboard"))
        self.copyButton.setText(_translate("RequirementsDialog", "Copy"))
        self.saveButton.setToolTip(_translate("RequirementsDialog", "Press to save to the requirements file"))
        self.saveButton.setText(_translate("RequirementsDialog", "Save"))
        self.insertButton.setToolTip(_translate("RequirementsDialog", "Insert the requirements text at the cursor position"))
        self.insertButton.setText(_translate("RequirementsDialog", "Insert"))
        self.replaceSelectionButton.setText(_translate("RequirementsDialog", "Replace Selection"))
        self.replaceAllButton.setToolTip(_translate("RequirementsDialog", "Replace all text with the requirements text"))
        self.replaceAllButton.setText(_translate("RequirementsDialog", "Replace All"))
        self.saveToButton.setToolTip(_translate("RequirementsDialog", "Save to a new file"))
        self.saveToButton.setText(_translate("RequirementsDialog", "Save To"))
        self.label_2.setText(_translate("RequirementsDialog", "<b>Editor Actions</b>"))
from eric7.EricWidgets.EricPathPicker import EricPathPicker
